Subject: Re: [rdfweb-dev] Re: [RSS-DEV] Re: Atom and RDF

From: "Bill Kearney" <[email-masked]>
Date: Tue, 12 Oct 2004 14:38:35 -0400

From: "Jon Hanna" <[email-masked]>
> The <a> element in HTML already has a type attribute (which I grant you is
> optional, but arguably that's appropriate also).

While there's some truth to this, there are valuable semantics in using an
enclosure type of element.  This offering a way for the consuming app to
recognize that it's something different than the content that might be
linked from the description of an item (as commonly seen in RSS).  There's
also an argument that could be made for just using caching as provided as
per HTTP.  As in, set the behavior of the client app to automagically
locally cache any/all links within an item. Adding control over site local
and/or depth limited of course. This is as likewise useful/wasteful as the
content would "be there" but would probably get pulled a lot more often than
most users would actually consume (and wreck log usage analysis techniques
in the process).

-Bill Kearney